%%%---------------------------------------
%%% module      : data_mono_poly
%%% description : 超级富豪配置
%%%
%%%---------------------------------------
-module(data_mono_poly).
-compile(export_all).
-include("mono_poly.hrl").



%%每日最大获得金骰子数量
get_kv(gold_dice_count) ->
    1;

%%充值赠送金骰子档位
get_kv(gold_dice_level) ->
    [3280];

%%幸运卡池数量
get_kv(luckycard_count) ->
    8;

%%幸运卡抽取时珍稀奖池和普通奖池分配
get_kv(luckycard_pool) ->
    [{1,2},{2,6}];

%%活动总圈数
get_kv(mono_total_round) ->
    10;

%%每日最大获得普通骰子数量
get_kv(normal_dice_count) ->
    3;

%%充值赠送普通骰子档位
get_kv(normal_dice_level) ->
    [60,360,1000];

get_kv(_Key) ->
    [].

get_smallbox_reward(1) ->
    #base_mono_smallbox{index = 1,weight = 100,rewards = [{100,230101,1}]};

get_smallbox_reward(2) ->
    #base_mono_smallbox{index = 2,weight = 100,rewards = [{100,230001,20}]};

get_smallbox_reward(3) ->
    #base_mono_smallbox{index = 3,weight = 100,rewards = [{100,230001,40}]};

get_smallbox_reward(4) ->
    #base_mono_smallbox{index = 4,weight = 100,rewards = [{100,230101,5}]};

get_smallbox_reward(5) ->
    #base_mono_smallbox{index = 5,weight = 100,rewards = [{100,230101,10}]};

get_smallbox_reward(6) ->
    #base_mono_smallbox{index = 6,weight = 100,rewards = [{100,230101,30}]};

get_smallbox_reward(7) ->
    #base_mono_smallbox{index = 7,weight = 100,rewards = [{100,230201,2}]};

get_smallbox_reward(8) ->
    #base_mono_smallbox{index = 8,weight = 100,rewards = [{100,230201,5}]};

get_smallbox_reward(9) ->
    #base_mono_smallbox{index = 9,weight = 100,rewards = [{100,230201,10}]};

get_smallbox_reward(10) ->
    #base_mono_smallbox{index = 10,weight = 100,rewards = [{100,230301,1}]};

get_smallbox_reward(11) ->
    #base_mono_smallbox{index = 11,weight = 100,rewards = [{100,230301,2}]};

get_smallbox_reward(12) ->
    #base_mono_smallbox{index = 12,weight = 100,rewards = [{100,230301,3}]};

get_smallbox_reward(13) ->
    #base_mono_smallbox{index = 13,weight = 100,rewards = [{100,401000,1}]};

get_smallbox_reward(14) ->
    #base_mono_smallbox{index = 14,weight = 100,rewards = [{100,401001,1}]};

get_smallbox_reward(15) ->
    #base_mono_smallbox{index = 15,weight = 100,rewards = [{100,401002,1}]};

get_smallbox_reward(16) ->
    #base_mono_smallbox{index = 16,weight = 100,rewards = [{100,230002,20}]};

get_smallbox_reward(17) ->
    #base_mono_smallbox{index = 17,weight = 100,rewards = [{100,230002,40}]};

get_smallbox_reward(18) ->
    #base_mono_smallbox{index = 18,weight = 100,rewards = [{100,230102,5}]};

get_smallbox_reward(19) ->
    #base_mono_smallbox{index = 19,weight = 100,rewards = [{100,230102,10}]};

get_smallbox_reward(20) ->
    #base_mono_smallbox{index = 20,weight = 100,rewards = [{100,230102,30}]};

get_smallbox_reward(21) ->
    #base_mono_smallbox{index = 21,weight = 100,rewards = [{100,230202,2}]};

get_smallbox_reward(22) ->
    #base_mono_smallbox{index = 22,weight = 100,rewards = [{100,230202,5}]};

get_smallbox_reward(23) ->
    #base_mono_smallbox{index = 23,weight = 100,rewards = [{100,230202,10}]};

get_smallbox_reward(24) ->
    #base_mono_smallbox{index = 24,weight = 100,rewards = [{100,230302,1}]};

get_smallbox_reward(25) ->
    #base_mono_smallbox{index = 25,weight = 100,rewards = [{100,230302,2}]};

get_smallbox_reward(26) ->
    #base_mono_smallbox{index = 26,weight = 100,rewards = [{100,230302,3}]};

get_smallbox_reward(27) ->
    #base_mono_smallbox{index = 27,weight = 100,rewards = [{100,402000,1}]};

get_smallbox_reward(28) ->
    #base_mono_smallbox{index = 28,weight = 100,rewards = [{100,402001,1}]};

get_smallbox_reward(29) ->
    #base_mono_smallbox{index = 29,weight = 100,rewards = [{100,402002,1}]};

get_smallbox_reward(30) ->
    #base_mono_smallbox{index = 30,weight = 100,rewards = [{100,230003,20}]};

get_smallbox_reward(31) ->
    #base_mono_smallbox{index = 31,weight = 100,rewards = [{100,230003,40}]};

get_smallbox_reward(32) ->
    #base_mono_smallbox{index = 32,weight = 100,rewards = [{100,230103,5}]};

get_smallbox_reward(33) ->
    #base_mono_smallbox{index = 33,weight = 100,rewards = [{100,230103,10}]};

get_smallbox_reward(34) ->
    #base_mono_smallbox{index = 34,weight = 100,rewards = [{100,230103,30}]};

get_smallbox_reward(35) ->
    #base_mono_smallbox{index = 35,weight = 100,rewards = [{100,230203,2}]};

get_smallbox_reward(36) ->
    #base_mono_smallbox{index = 36,weight = 100,rewards = [{100,230203,5}]};

get_smallbox_reward(37) ->
    #base_mono_smallbox{index = 37,weight = 100,rewards = [{100,230203,10}]};

get_smallbox_reward(38) ->
    #base_mono_smallbox{index = 38,weight = 100,rewards = [{100,230303,1}]};

get_smallbox_reward(39) ->
    #base_mono_smallbox{index = 39,weight = 100,rewards = [{100,230303,2}]};

get_smallbox_reward(40) ->
    #base_mono_smallbox{index = 40,weight = 100,rewards = [{100,230303,3}]};

get_smallbox_reward(41) ->
    #base_mono_smallbox{index = 41,weight = 100,rewards = [{100,403000,1}]};

get_smallbox_reward(42) ->
    #base_mono_smallbox{index = 42,weight = 100,rewards = [{100,403001,1}]};

get_smallbox_reward(43) ->
    #base_mono_smallbox{index = 43,weight = 100,rewards = [{100,403003,1}]};

get_smallbox_reward(44) ->
    #base_mono_smallbox{index = 44,weight = 100,rewards = [{100,230004,20}]};

get_smallbox_reward(45) ->
    #base_mono_smallbox{index = 45,weight = 100,rewards = [{100,230004,40}]};

get_smallbox_reward(46) ->
    #base_mono_smallbox{index = 46,weight = 100,rewards = [{100,230104,5}]};

get_smallbox_reward(47) ->
    #base_mono_smallbox{index = 47,weight = 100,rewards = [{100,230104,10}]};

get_smallbox_reward(48) ->
    #base_mono_smallbox{index = 48,weight = 100,rewards = [{100,230104,30}]};

get_smallbox_reward(49) ->
    #base_mono_smallbox{index = 49,weight = 100,rewards = [{100,230204,2}]};

get_smallbox_reward(50) ->
    #base_mono_smallbox{index = 50,weight = 100,rewards = [{100,230204,5}]};

get_smallbox_reward(51) ->
    #base_mono_smallbox{index = 51,weight = 100,rewards = [{100,230204,10}]};

get_smallbox_reward(52) ->
    #base_mono_smallbox{index = 52,weight = 100,rewards = [{100,230304,1}]};

get_smallbox_reward(53) ->
    #base_mono_smallbox{index = 53,weight = 100,rewards = [{100,230304,2}]};

get_smallbox_reward(54) ->
    #base_mono_smallbox{index = 54,weight = 100,rewards = [{100,230304,3}]};

get_smallbox_reward(55) ->
    #base_mono_smallbox{index = 55,weight = 100,rewards = [{100,404000,1}]};

get_smallbox_reward(56) ->
    #base_mono_smallbox{index = 56,weight = 100,rewards = [{100,404001,1}]};

get_smallbox_reward(57) ->
    #base_mono_smallbox{index = 57,weight = 100,rewards = [{100,404004,1}]};

get_smallbox_reward(58) ->
    #base_mono_smallbox{index = 58,weight = 100,rewards = [{100,230005,20}]};

get_smallbox_reward(59) ->
    #base_mono_smallbox{index = 59,weight = 100,rewards = [{100,230005,40}]};

get_smallbox_reward(60) ->
    #base_mono_smallbox{index = 60,weight = 100,rewards = [{100,230105,5}]};

get_smallbox_reward(61) ->
    #base_mono_smallbox{index = 61,weight = 100,rewards = [{100,230105,10}]};

get_smallbox_reward(62) ->
    #base_mono_smallbox{index = 62,weight = 100,rewards = [{100,230105,30}]};

get_smallbox_reward(63) ->
    #base_mono_smallbox{index = 63,weight = 100,rewards = [{100,230205,2}]};

get_smallbox_reward(64) ->
    #base_mono_smallbox{index = 64,weight = 100,rewards = [{100,230205,5}]};

get_smallbox_reward(65) ->
    #base_mono_smallbox{index = 65,weight = 100,rewards = [{100,230205,10}]};

get_smallbox_reward(66) ->
    #base_mono_smallbox{index = 66,weight = 100,rewards = [{100,230305,1}]};

get_smallbox_reward(67) ->
    #base_mono_smallbox{index = 67,weight = 100,rewards = [{100,230305,2}]};

get_smallbox_reward(68) ->
    #base_mono_smallbox{index = 68,weight = 100,rewards = [{100,230305,3}]};

get_smallbox_reward(69) ->
    #base_mono_smallbox{index = 69,weight = 100,rewards = [{100,405000,1}]};

get_smallbox_reward(70) ->
    #base_mono_smallbox{index = 70,weight = 100,rewards = [{100,405001,1}]};

get_smallbox_reward(71) ->
    #base_mono_smallbox{index = 71,weight = 100,rewards = [{100,405005,1}]};

get_smallbox_reward(72) ->
    #base_mono_smallbox{index = 72,weight = 100,rewards = [{100,230006,20}]};

get_smallbox_reward(73) ->
    #base_mono_smallbox{index = 73,weight = 100,rewards = [{100,230006,40}]};

get_smallbox_reward(74) ->
    #base_mono_smallbox{index = 74,weight = 100,rewards = [{100,230106,5}]};

get_smallbox_reward(75) ->
    #base_mono_smallbox{index = 75,weight = 100,rewards = [{100,230106,10}]};

get_smallbox_reward(76) ->
    #base_mono_smallbox{index = 76,weight = 100,rewards = [{100,230106,30}]};

get_smallbox_reward(77) ->
    #base_mono_smallbox{index = 77,weight = 100,rewards = [{100,230206,2}]};

get_smallbox_reward(78) ->
    #base_mono_smallbox{index = 78,weight = 100,rewards = [{100,230206,5}]};

get_smallbox_reward(79) ->
    #base_mono_smallbox{index = 79,weight = 100,rewards = [{100,230206,10}]};

get_smallbox_reward(80) ->
    #base_mono_smallbox{index = 80,weight = 100,rewards = [{100,230306,1}]};

get_smallbox_reward(81) ->
    #base_mono_smallbox{index = 81,weight = 100,rewards = [{100,230306,2}]};

get_smallbox_reward(82) ->
    #base_mono_smallbox{index = 82,weight = 100,rewards = [{100,230306,3}]};

get_smallbox_reward(83) ->
    #base_mono_smallbox{index = 83,weight = 100,rewards = [{100,230007,20}]};

get_smallbox_reward(84) ->
    #base_mono_smallbox{index = 84,weight = 100,rewards = [{100,230007,40}]};

get_smallbox_reward(85) ->
    #base_mono_smallbox{index = 85,weight = 100,rewards = [{100,230107,5}]};

get_smallbox_reward(86) ->
    #base_mono_smallbox{index = 86,weight = 100,rewards = [{100,230107,10}]};

get_smallbox_reward(87) ->
    #base_mono_smallbox{index = 87,weight = 100,rewards = [{100,230107,30}]};

get_smallbox_reward(88) ->
    #base_mono_smallbox{index = 88,weight = 100,rewards = [{100,230207,2}]};

get_smallbox_reward(89) ->
    #base_mono_smallbox{index = 89,weight = 100,rewards = [{100,230207,5}]};

get_smallbox_reward(90) ->
    #base_mono_smallbox{index = 90,weight = 100,rewards = [{100,230207,10}]};

get_smallbox_reward(91) ->
    #base_mono_smallbox{index = 91,weight = 100,rewards = [{100,230307,1}]};

get_smallbox_reward(92) ->
    #base_mono_smallbox{index = 92,weight = 100,rewards = [{100,230307,2}]};

get_smallbox_reward(93) ->
    #base_mono_smallbox{index = 93,weight = 100,rewards = [{100,230307,3}]};

get_smallbox_reward(94) ->
    #base_mono_smallbox{index = 94,weight = 100,rewards = [{100,230008,20}]};

get_smallbox_reward(95) ->
    #base_mono_smallbox{index = 95,weight = 100,rewards = [{100,230008,40}]};

get_smallbox_reward(96) ->
    #base_mono_smallbox{index = 96,weight = 100,rewards = [{100,230108,5}]};

get_smallbox_reward(97) ->
    #base_mono_smallbox{index = 97,weight = 100,rewards = [{100,230108,10}]};

get_smallbox_reward(98) ->
    #base_mono_smallbox{index = 98,weight = 100,rewards = [{100,230108,30}]};

get_smallbox_reward(99) ->
    #base_mono_smallbox{index = 99,weight = 100,rewards = [{100,230208,2}]};

get_smallbox_reward(_Index) ->
    [].

get_small_weight() ->
    [{100,1},{100,2},{100,3},{100,4},{100,5},{100,6},{100,7},{100,8},{100,9},{100,10},{100,11},{100,12},{100,13},{100,14},{100,15},{100,16},{100,17},{100,18},{100,19},{100,20},{100,21},{100,22},{100,23},{100,24},{100,25},{100,26},{100,27},{100,28},{100,29},{100,30},{100,31},{100,32},{100,33},{100,34},{100,35},{100,36},{100,37},{100,38},{100,39},{100,40},{100,41},{100,42},{100,43},{100,44},{100,45},{100,46},{100,47},{100,48},{100,49},{100,50},{100,51},{100,52},{100,53},{100,54},{100,55},{100,56},{100,57},{100,58},{100,59},{100,60},{100,61},{100,62},{100,63},{100,64},{100,65},{100,66},{100,67},{100,68},{100,69},{100,70},{100,71},{100,72},{100,73},{100,74},{100,75},{100,76},{100,77},{100,78},{100,79},{100,80},{100,81},{100,82},{100,83},{100,84},{100,85},{100,86},{100,87},{100,88},{100,89},{100,90},{100,91},{100,92},{100,93},{100,94},{100,95},{100,96},{100,97},{100,98},{100,99}].

get_luckycard_rewards(1) ->
    #base_mono_luckycard{index = 1,type = 1,weight = 100,rewards = [{100,230101,1}]};

get_luckycard_rewards(2) ->
    #base_mono_luckycard{index = 2,type = 1,weight = 100,rewards = [{100,230001,20}]};

get_luckycard_rewards(3) ->
    #base_mono_luckycard{index = 3,type = 1,weight = 100,rewards = [{100,230001,40}]};

get_luckycard_rewards(4) ->
    #base_mono_luckycard{index = 4,type = 1,weight = 100,rewards = [{100,230101,5}]};

get_luckycard_rewards(5) ->
    #base_mono_luckycard{index = 5,type = 2,weight = 300,rewards = [{100,230101,10}]};

get_luckycard_rewards(6) ->
    #base_mono_luckycard{index = 6,type = 2,weight = 300,rewards = [{100,230101,30}]};

get_luckycard_rewards(7) ->
    #base_mono_luckycard{index = 7,type = 2,weight = 300,rewards = [{100,230201,2}]};

get_luckycard_rewards(8) ->
    #base_mono_luckycard{index = 8,type = 2,weight = 300,rewards = [{100,230201,5}]};

get_luckycard_rewards(9) ->
    #base_mono_luckycard{index = 9,type = 2,weight = 300,rewards = [{100,230201,10}]};

get_luckycard_rewards(10) ->
    #base_mono_luckycard{index = 10,type = 2,weight = 300,rewards = [{100,102404,1}]};

get_luckycard_rewards(11) ->
    #base_mono_luckycard{index = 11,type = 2,weight = 300,rewards = [{100,102405,1}]};

get_luckycard_rewards(13) ->
    #base_mono_luckycard{index = 13,type = 2,weight = 300,rewards = [{100,102350,10}]};

get_luckycard_rewards(_Index) ->
    [].

get_luckycard_weight() ->
    [{100,1,1},{100,2,1},{100,3,1},{100,4,1},{300,5,2},{300,6,2},{300,7,2},{300,8,2},{300,9,2},{300,10,2},{300,11,2},{300,13,2}].

get_round_rewards(72,1,1) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 1,rewards = [{100,230101,1}]};

get_round_rewards(72,1,2) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 2,rewards = [{100,230001,20}]};

get_round_rewards(72,1,3) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 3,rewards = [{100,230001,40}]};

get_round_rewards(72,1,4) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 4,rewards = [{100,230101,5}]};

get_round_rewards(72,1,5) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 5,rewards = [{100,230101,30}]};

get_round_rewards(72,1,6) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 6,rewards = [{100,230102,5}]};

get_round_rewards(72,1,7) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 7,rewards = [{100,230102,10}]};

get_round_rewards(72,1,8) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 8,rewards = [{100,230102,30}]};

get_round_rewards(72,1,9) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 9,rewards = [{100,230203,2}]};

get_round_rewards(72,1,10) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 1,round = 10,rewards = [{100,230203,5}]};

get_round_rewards(72,2,1) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 1,rewards = [{100,230203,10}]};

get_round_rewards(72,2,2) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 2,rewards = [{100,230303,1}]};

get_round_rewards(72,2,3) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 3,rewards = [{100,230303,2}]};

get_round_rewards(72,2,4) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 4,rewards = [{100,230204,5}]};

get_round_rewards(72,2,5) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 5,rewards = [{100,230204,10}]};

get_round_rewards(72,2,6) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 6,rewards = [{100,230102,5}]};

get_round_rewards(72,2,7) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 7,rewards = [{100,230102,10}]};

get_round_rewards(72,2,8) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 8,rewards = [{100,230102,30}]};

get_round_rewards(72,2,9) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 9,rewards = [{100,230203,2}]};

get_round_rewards(72,2,10) ->
    #base_mono_round_rewards{act_type = 72,sub_type = 2,round = 10,rewards = [{100,230203,5}]};

get_round_rewards(_Acttype,_Subtype,_Round) ->
    [].

get_one_round_rewards(72,1,1) ->
    [{100,230101,1}];

get_one_round_rewards(72,1,2) ->
    [{100,230001,20}];

get_one_round_rewards(72,1,3) ->
    [{100,230001,40}];

get_one_round_rewards(72,1,4) ->
    [{100,230101,5}];

get_one_round_rewards(72,1,5) ->
    [{100,230101,30}];

get_one_round_rewards(72,1,6) ->
    [{100,230102,5}];

get_one_round_rewards(72,1,7) ->
    [{100,230102,10}];

get_one_round_rewards(72,1,8) ->
    [{100,230102,30}];

get_one_round_rewards(72,1,9) ->
    [{100,230203,2}];

get_one_round_rewards(72,1,10) ->
    [{100,230203,5}];

get_one_round_rewards(72,2,1) ->
    [{100,230203,10}];

get_one_round_rewards(72,2,2) ->
    [{100,230303,1}];

get_one_round_rewards(72,2,3) ->
    [{100,230303,2}];

get_one_round_rewards(72,2,4) ->
    [{100,230204,5}];

get_one_round_rewards(72,2,5) ->
    [{100,230204,10}];

get_one_round_rewards(72,2,6) ->
    [{100,230102,5}];

get_one_round_rewards(72,2,7) ->
    [{100,230102,10}];

get_one_round_rewards(72,2,8) ->
    [{100,230102,30}];

get_one_round_rewards(72,2,9) ->
    [{100,230203,2}];

get_one_round_rewards(72,2,10) ->
    [{100,230203,5}];

get_one_round_rewards(_Acttype,_Subtype,_Round) ->
    [].


get_reissue_price(1) ->
    50;


get_reissue_price(2) ->
    100;


get_reissue_price(3) ->
    150;

get_reissue_price(_Count) ->
    0.

get_max_count() -> 3.

get_lattice_type(1,1) ->
    1;

get_lattice_type(1,2) ->
    1;

get_lattice_type(1,3) ->
    2;

get_lattice_type(1,4) ->
    3;

get_lattice_type(1,5) ->
    1;

get_lattice_type(1,6) ->
    5;

get_lattice_type(1,7) ->
    1;

get_lattice_type(1,8) ->
    4;

get_lattice_type(1,9) ->
    1;

get_lattice_type(1,10) ->
    3;

get_lattice_type(1,11) ->
    2;

get_lattice_type(1,12) ->
    1;

get_lattice_type(1,13) ->
    5;

get_lattice_type(1,14) ->
    1;

get_lattice_type(1,15) ->
    4;

get_lattice_type(1,16) ->
    1;

get_lattice_type(1,17) ->
    3;

get_lattice_type(1,18) ->
    2;

get_lattice_type(1,19) ->
    1;

get_lattice_type(1,20) ->
    1;

get_lattice_type(1,21) ->
    5;

get_lattice_type(1,22) ->
    6;

get_lattice_type(1,23) ->
    1;

get_lattice_type(1,24) ->
    1;

get_lattice_type(1,25) ->
    2;

get_lattice_type(1,26) ->
    1;

get_lattice_type(2,1) ->
    1;

get_lattice_type(2,2) ->
    1;

get_lattice_type(2,3) ->
    2;

get_lattice_type(2,4) ->
    3;

get_lattice_type(2,5) ->
    1;

get_lattice_type(2,6) ->
    5;

get_lattice_type(2,7) ->
    1;

get_lattice_type(2,8) ->
    4;

get_lattice_type(2,9) ->
    1;

get_lattice_type(2,10) ->
    3;

get_lattice_type(2,11) ->
    2;

get_lattice_type(2,12) ->
    1;

get_lattice_type(2,13) ->
    5;

get_lattice_type(2,14) ->
    1;

get_lattice_type(2,15) ->
    4;

get_lattice_type(2,16) ->
    1;

get_lattice_type(2,17) ->
    3;

get_lattice_type(2,18) ->
    2;

get_lattice_type(2,19) ->
    1;

get_lattice_type(2,20) ->
    1;

get_lattice_type(2,21) ->
    5;

get_lattice_type(2,22) ->
    6;

get_lattice_type(2,23) ->
    1;

get_lattice_type(2,24) ->
    1;

get_lattice_type(2,25) ->
    2;

get_lattice_type(2,26) ->
    1;

get_lattice_type(3,1) ->
    1;

get_lattice_type(3,2) ->
    1;

get_lattice_type(3,3) ->
    2;

get_lattice_type(3,4) ->
    3;

get_lattice_type(3,5) ->
    1;

get_lattice_type(3,6) ->
    5;

get_lattice_type(3,7) ->
    1;

get_lattice_type(3,8) ->
    4;

get_lattice_type(3,9) ->
    1;

get_lattice_type(3,10) ->
    3;

get_lattice_type(3,11) ->
    2;

get_lattice_type(3,12) ->
    1;

get_lattice_type(3,13) ->
    5;

get_lattice_type(3,14) ->
    1;

get_lattice_type(3,15) ->
    4;

get_lattice_type(3,16) ->
    1;

get_lattice_type(3,17) ->
    3;

get_lattice_type(3,18) ->
    2;

get_lattice_type(3,19) ->
    1;

get_lattice_type(3,20) ->
    1;

get_lattice_type(3,21) ->
    5;

get_lattice_type(3,22) ->
    6;

get_lattice_type(3,23) ->
    1;

get_lattice_type(3,24) ->
    1;

get_lattice_type(3,25) ->
    2;

get_lattice_type(3,26) ->
    1;

get_lattice_type(4,1) ->
    1;

get_lattice_type(4,2) ->
    1;

get_lattice_type(4,3) ->
    2;

get_lattice_type(4,4) ->
    3;

get_lattice_type(4,5) ->
    1;

get_lattice_type(4,6) ->
    5;

get_lattice_type(4,7) ->
    1;

get_lattice_type(4,8) ->
    4;

get_lattice_type(4,9) ->
    1;

get_lattice_type(4,10) ->
    3;

get_lattice_type(4,11) ->
    2;

get_lattice_type(4,12) ->
    1;

get_lattice_type(4,13) ->
    5;

get_lattice_type(4,14) ->
    1;

get_lattice_type(4,15) ->
    4;

get_lattice_type(4,16) ->
    1;

get_lattice_type(4,17) ->
    3;

get_lattice_type(4,18) ->
    2;

get_lattice_type(4,19) ->
    1;

get_lattice_type(4,20) ->
    1;

get_lattice_type(4,21) ->
    5;

get_lattice_type(4,22) ->
    6;

get_lattice_type(4,23) ->
    1;

get_lattice_type(4,24) ->
    1;

get_lattice_type(4,25) ->
    2;

get_lattice_type(4,26) ->
    1;

get_lattice_type(5,1) ->
    1;

get_lattice_type(5,2) ->
    1;

get_lattice_type(5,3) ->
    2;

get_lattice_type(5,4) ->
    3;

get_lattice_type(5,5) ->
    1;

get_lattice_type(5,6) ->
    5;

get_lattice_type(5,7) ->
    1;

get_lattice_type(5,8) ->
    4;

get_lattice_type(5,9) ->
    1;

get_lattice_type(5,10) ->
    3;

get_lattice_type(5,11) ->
    2;

get_lattice_type(5,12) ->
    1;

get_lattice_type(5,13) ->
    5;

get_lattice_type(5,14) ->
    1;

get_lattice_type(5,15) ->
    4;

get_lattice_type(5,16) ->
    1;

get_lattice_type(5,17) ->
    3;

get_lattice_type(5,18) ->
    2;

get_lattice_type(5,19) ->
    1;

get_lattice_type(5,20) ->
    1;

get_lattice_type(5,21) ->
    5;

get_lattice_type(5,22) ->
    6;

get_lattice_type(5,23) ->
    1;

get_lattice_type(5,24) ->
    1;

get_lattice_type(5,25) ->
    2;

get_lattice_type(5,26) ->
    1;

get_lattice_type(6,1) ->
    1;

get_lattice_type(6,2) ->
    1;

get_lattice_type(6,3) ->
    2;

get_lattice_type(6,4) ->
    3;

get_lattice_type(6,5) ->
    1;

get_lattice_type(6,6) ->
    5;

get_lattice_type(6,7) ->
    1;

get_lattice_type(6,8) ->
    4;

get_lattice_type(6,9) ->
    1;

get_lattice_type(6,10) ->
    3;

get_lattice_type(6,11) ->
    2;

get_lattice_type(6,12) ->
    1;

get_lattice_type(6,13) ->
    5;

get_lattice_type(6,14) ->
    1;

get_lattice_type(6,15) ->
    4;

get_lattice_type(6,16) ->
    1;

get_lattice_type(6,17) ->
    3;

get_lattice_type(6,18) ->
    2;

get_lattice_type(6,19) ->
    1;

get_lattice_type(6,20) ->
    1;

get_lattice_type(6,21) ->
    5;

get_lattice_type(6,22) ->
    6;

get_lattice_type(6,23) ->
    1;

get_lattice_type(6,24) ->
    1;

get_lattice_type(6,25) ->
    2;

get_lattice_type(6,26) ->
    1;

get_lattice_type(7,1) ->
    1;

get_lattice_type(7,2) ->
    1;

get_lattice_type(7,3) ->
    2;

get_lattice_type(7,4) ->
    3;

get_lattice_type(7,5) ->
    1;

get_lattice_type(7,6) ->
    5;

get_lattice_type(7,7) ->
    1;

get_lattice_type(7,8) ->
    4;

get_lattice_type(7,9) ->
    1;

get_lattice_type(7,10) ->
    3;

get_lattice_type(7,11) ->
    2;

get_lattice_type(7,12) ->
    1;

get_lattice_type(7,13) ->
    5;

get_lattice_type(7,14) ->
    1;

get_lattice_type(7,15) ->
    4;

get_lattice_type(7,16) ->
    1;

get_lattice_type(7,17) ->
    3;

get_lattice_type(7,18) ->
    2;

get_lattice_type(7,19) ->
    1;

get_lattice_type(7,20) ->
    1;

get_lattice_type(7,21) ->
    5;

get_lattice_type(7,22) ->
    6;

get_lattice_type(7,23) ->
    1;

get_lattice_type(7,24) ->
    1;

get_lattice_type(7,25) ->
    2;

get_lattice_type(7,26) ->
    1;

get_lattice_type(8,1) ->
    1;

get_lattice_type(8,2) ->
    1;

get_lattice_type(8,3) ->
    2;

get_lattice_type(8,4) ->
    3;

get_lattice_type(8,5) ->
    1;

get_lattice_type(8,6) ->
    5;

get_lattice_type(8,7) ->
    1;

get_lattice_type(8,8) ->
    4;

get_lattice_type(8,9) ->
    1;

get_lattice_type(8,10) ->
    3;

get_lattice_type(8,11) ->
    2;

get_lattice_type(8,12) ->
    1;

get_lattice_type(8,13) ->
    5;

get_lattice_type(8,14) ->
    1;

get_lattice_type(8,15) ->
    4;

get_lattice_type(8,16) ->
    1;

get_lattice_type(8,17) ->
    3;

get_lattice_type(8,18) ->
    2;

get_lattice_type(8,19) ->
    1;

get_lattice_type(8,20) ->
    1;

get_lattice_type(8,21) ->
    5;

get_lattice_type(8,22) ->
    6;

get_lattice_type(8,23) ->
    1;

get_lattice_type(8,24) ->
    1;

get_lattice_type(8,25) ->
    2;

get_lattice_type(8,26) ->
    1;

get_lattice_type(9,1) ->
    1;

get_lattice_type(9,2) ->
    1;

get_lattice_type(9,3) ->
    2;

get_lattice_type(9,4) ->
    3;

get_lattice_type(9,5) ->
    1;

get_lattice_type(9,6) ->
    5;

get_lattice_type(9,7) ->
    1;

get_lattice_type(9,8) ->
    4;

get_lattice_type(9,9) ->
    1;

get_lattice_type(9,10) ->
    3;

get_lattice_type(9,11) ->
    2;

get_lattice_type(9,12) ->
    1;

get_lattice_type(9,13) ->
    5;

get_lattice_type(9,14) ->
    1;

get_lattice_type(9,15) ->
    4;

get_lattice_type(9,16) ->
    1;

get_lattice_type(9,17) ->
    3;

get_lattice_type(9,18) ->
    2;

get_lattice_type(9,19) ->
    1;

get_lattice_type(9,20) ->
    1;

get_lattice_type(9,21) ->
    5;

get_lattice_type(9,22) ->
    6;

get_lattice_type(9,23) ->
    1;

get_lattice_type(9,24) ->
    1;

get_lattice_type(9,25) ->
    2;

get_lattice_type(9,26) ->
    1;

get_lattice_type(10,1) ->
    1;

get_lattice_type(10,2) ->
    1;

get_lattice_type(10,3) ->
    2;

get_lattice_type(10,4) ->
    3;

get_lattice_type(10,5) ->
    1;

get_lattice_type(10,6) ->
    5;

get_lattice_type(10,7) ->
    1;

get_lattice_type(10,8) ->
    4;

get_lattice_type(10,9) ->
    1;

get_lattice_type(10,10) ->
    3;

get_lattice_type(10,11) ->
    2;

get_lattice_type(10,12) ->
    1;

get_lattice_type(10,13) ->
    5;

get_lattice_type(10,14) ->
    1;

get_lattice_type(10,15) ->
    4;

get_lattice_type(10,16) ->
    1;

get_lattice_type(10,17) ->
    3;

get_lattice_type(10,18) ->
    2;

get_lattice_type(10,19) ->
    1;

get_lattice_type(10,20) ->
    1;

get_lattice_type(10,21) ->
    5;

get_lattice_type(10,22) ->
    6;

get_lattice_type(10,23) ->
    1;

get_lattice_type(10,24) ->
    1;

get_lattice_type(10,25) ->
    2;

get_lattice_type(10,26) ->
    1;

get_lattice_type(_Round,_Latticeindex) ->
    0.

get_max_round() -> 10.

get_round_max_index(1) -> 26;
get_round_max_index(2) -> 26;
get_round_max_index(3) -> 26;
get_round_max_index(4) -> 26;
get_round_max_index(5) -> 26;
get_round_max_index(6) -> 26;
get_round_max_index(7) -> 26;
get_round_max_index(8) -> 26;
get_round_max_index(9) -> 26;
get_round_max_index(10) -> 26;
get_round_max_index(_Round) -> 0.

get_dice_weight(1,1) ->
    [{200,1},{300,2},{400,3},{600,4},{450,5},{1000,6}];

get_dice_weight(1,2) ->
    [{200,1},{200,2},{400,3},{800,4},{1000,5},{280,6}];

get_dice_weight(1,3) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{200,6}];

get_dice_weight(1,4) ->
    [{200,1},{200,2},{400,3},{1000,4},{500,5},{280,6}];

get_dice_weight(1,5) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,6) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,7) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,8) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,9) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,10) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,11) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,12) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,13) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,14) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,15) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,16) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,17) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,18) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,19) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(1,20) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{280,6}];

get_dice_weight(2,1) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{1000,6}];

get_dice_weight(2,2) ->
    [{200,1},{200,2},{400,3},{600,4},{450,5},{2000,6}];

get_dice_weight(_Type,_Dicecount) ->
    [].

get_max_dice_count(1) -> 20;
get_max_dice_count(2) -> 2;
get_max_dice_count(_Type) -> 0.

